org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

## Class TreeContentMergeViewerItemLabelProvider

- java.lang.Object
- - org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
  - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider.TreeContentMergeViewerItemLabelProvider

All Implemented Interfaces:
  INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class TreeContentMergeViewerItemLabelProvider
    extends AdapterFactoryLabelProvider

Label Provider for `IMergeViewerItem`s.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.ConvertingStyler, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider, AdapterFactoryLabelProvider.StyledLabelProvider`

### Field Summary

### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

### Constructor Summary

Constructors
Constructor and Description
`TreeContentMergeViewerItemLabelProvider(ResourceBundle resourceBundle, AdapterFactory adapterFactory, IMergeViewer.MergeViewerSide side)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Image` `getImage(Object object)`
`String` `getText(Object object)`

### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, createStyler, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImageFromObject, getStyledStringFromObject, getStyledText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications, toJFaceStyledString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeContentMergeViewerItemLabelProvider

    public TreeContentMergeViewerItemLabelProvider(ResourceBundle resourceBundle,
                                                   AdapterFactory adapterFactory,
                                                   IMergeViewer.MergeViewerSide side)

Constructor.

Parameters:
  `resourceBundle` - the `ResourceBundle`. Used for error messages.
  `adapterFactory` - the `AdapterFactory`.
  `side` - the `IMergeViewer.MergeViewerSide`.

### Method Detail

#### getText

    public String getText(Object object)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `AdapterFactoryLabelProvider`

#### getImage

    public org.eclipse.swt.graphics.Image getImage(Object object)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `AdapterFactoryLabelProvider`